%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 1
%endif

%define snapshot 0
%define pre rc

%define qtmajor 5
%define qtminor 9
%define qtsubminor 4

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtwaylandclient %mklibname qt5waylandclient %qtmajor
%define libqtwaylandcompositor %mklibname qt5waylandcompositor %qtmajor
%define libqtwayland_d %mklibname qt5waylandclient -d

%if %snapshot
%define qttarballdir qtwayland-opensource-src-%{qtversion}-%pre
%else
%define qttarballdir qtwayland-opensource-src-%{qtversion}
%endif

Name:           qtwayland5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Wayland platform support and QtCompositor module
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires:  qtbase5-devel >= %version
BuildRequires:  pkgconfig(Qt5Quick) >= %version
BuildRequires:  qt5platformsupport-devel

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5OpenGL)

BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fontconfig)

BuildRequires:  re2c >= 0.11.3

BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(libpci)
BuildRequires:  pkgconfig(nss)

# needed for QtServiceSupport/private/qgenericunixservices_p.h
BuildRequires:  %{_lib}qt5servicesupport-static-devel
# needed for QtFontDatabaseSupport/private/qgenericunixfontdatabase_p.h
BuildRequires:  %{_lib}qt5fontdatabasesupport-static-devel
BuildRequires:  %{_lib}qt5themesupport-static-devel
BuildRequires:  %{_lib}qt5eventdispatchersupport-static-devel
BuildRequires:  %{_lib}qt5eglsupport-static-devel
BuildRequires:  %{_lib}qt5glxsupport-static-devel
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt%{qtmajor} Wayland platform support and QtCompositor module.

%files
%{_qt5_bindir}/qtwaylandscanner
%{_qt5_qml}/QtWayland/
%{_qt5_plugindir}/platforms/*.so
%{_qt5_plugindir}/wayland-decoration-client/
%{_qt5_plugindir}/wayland-graphics-integration-client/
%{_qt5_plugindir}/wayland-graphics-integration-server/
%{_qt5_plugindir}/wayland-shell-integration/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtWayland%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtWayland%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtwayland*.qch
%{_qt5_docdir}/qtwayland*/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtwaylandclient}
Summary:        Qt%{qtmajor} WaylandClient Component Library
Group:          System/Libraries
# Fix naming glitch in cauldron (mga6)
Obsoletes:      %{_lib}gqtwaylandclient5 < 5.6.0-2

%description -n %{libqtwaylandclient}
Qt%{qtmajor} WaylandClient Component Library.

%files -n %{libqtwaylandclient}
%{_qt5_libdir}/libQt5WaylandClient.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtwaylandcompositor}
Summary:        Qt%{qtmajor} WaylandCompositor Component Library
Group:          System/Libraries

%description -n %{libqtwaylandcompositor}
Qt%{qtmajor} WaylandCompositor Component Library.

%files -n %{libqtwaylandcompositor}
%{_qt5_libdir}/libQt5WaylandCompositor.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtwayland_d}
Summary:        Devel files needed to build apps based on QtWayland
Group:          Development/KDE and Qt
Requires:       %{libqtwaylandclient} = %version
Requires:       %{libqtwaylandcompositor} = %version
Provides:       libqtwayland5-devel = %version
Provides:       libqt5wayland-devel = %version
Provides:       qtwayland5-devel = %version
Provides:       qt5wayland-devel = %version

Provides:       libqtwayland-private-devel = %version
Provides:       libqtwayland5-private-devel = %version
Provides:       libqt5wayland-private-devel = %version
Provides:       qtwayland-private-devel = %version
Provides:       qt5wayland-private-devel = %version

%description -n %{libqtwayland_d}
Devel files needed to build apps based on Qt Wayland.

%files -n %{libqtwayland_d}
%{_qt5_libdir}/libQt5WaylandClient.so
%{_qt5_libdir}/libQt5WaylandCompositor.so
%{_qt5_libdir}/libQt5WaylandClient.prl
%{_qt5_libdir}/libQt5WaylandCompositor.prl
%{_qt5_libdir}/pkgconfig/Qt5WaylandClient.pc
%{_qt5_libdir}/pkgconfig/Qt5WaylandCompositor.pc
%{_qt5_includedir}/QtWaylandClient/
%{_qt5_includedir}/QtWaylandCompositor/
%{_qt5_datadir}/mkspecs/modules/qt_lib_waylandclient.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_waylandcompositor.pri
%{_qt5_libdir}/cmake/Qt5WaylandClient/
%{_qt5_libdir}/cmake/Qt5WaylandCompositor/
%{_qt5_libdir}/cmake/Qt5Gui/*
%{_qt5_datadir}/mkspecs/modules/qt_lib_waylandclient_private.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_waylandcompositor_private.pri
%{_qt5_examplesdir}/wayland/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtwayland-opensource-src-%{qtversion}
#autopatch -p1

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete


%changelog
* Wed Feb 28 2018 neoclust <neoclust> 5.9.4-1.mga6
  (not released yet)
+ Revision: 1205719
- New version 5.9.4
- New version 5.9.3
- New version 5.6.3

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064833
- New version 5.6.2

* Sun Jul 03 2016 neoclust <neoclust> 5.6.1-2.mga6
+ Revision: 1038386
- Update to version 5.6.1-1
- New version

* Wed May 11 2016 akien <akien> 5.6.0-2.mga6
+ Revision: 1013634
- Fix libname s/libgqtwaylandclient5/libqt5waylandclient5/

* Thu Mar 17 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 992521
+ rebuild (emptylog)

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.2.mga6
+ Revision: 987769
- Rebuild Qt5 Stack to fix plasma crashes

* Sun Feb 28 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980621
+ rebuild (emptylog)

* Tue Feb 16 2016 umeabot <umeabot> 5.6.0-0.beta.5.mga6
+ Revision: 962561
- Mageia 6 Mass Rebuild

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.4.mga6
+ Revision: 915936
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915809
- Rebuild against new cmake to have cmake() provides

* Mon Dec 21 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 912792
- Remove private devel packages
- New version 5.6.0 Beta
- New version 5.6.0 Beta

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 900342
- Rebuild against fixed qtbase5

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894506
- New version

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853390
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;

* Wed Jun 24 2015 neoclust <neoclust> 5.5.0-0.r.1.mga6
+ Revision: 842042
- New version 5.5 rc

* Mon Dec 22 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 804771
- New version 5.4.0
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 neoclust <neoclust> 5.1.0-0.5.20131120git8cd1a77.1.mga5
+ Revision: 583556
- imported package qtwayland5


* Sat Nov 23 2013 Lubomir Rintel <lkundrak@v3.sk> - 5.1.0-0.5.20131120git8cd1a77
- Rebuild with EGL backend

* Fri Nov 22 2013 Lubomir Rintel <lkundrak@v3.sk> - 5.1.0-0.4.20131120git8cd1a77
- Rebase to a later snapshot, drop 5.2 ABI patch
- Enable nogl backend

* Sun Nov 10 2013 Rex Dieter <rdieter@fedoraproject.org> 5.1.0-0.4.20130826git3b0b90b
- rebuild (arm/qreal)

* Thu Oct 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 5.1.0-0.3.20130826git3b0b90b
- Bulk sad and useless attempt at consistent SPEC file formatting

* Sun Oct 06 2013 Lubomir Rintel <lkundrak@v3.sk> - 5.1.0-0.2.20130826git3b0b90b
- Bump platform plugin ABI to 5.2 for Qt 5.2 aplha

* Wed Sep 11 2013 Lubomir Rintel <lkundrak@v3.sk> - 5.1.0-0.1.20130826git3b0b90b
- Initial packaging
- Adjustments from review (Rex Dieter, #1008529)
